V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
HeyHudy
V2EX  ›  程序员

为什么有的项目不在 pom.xml 中指定 jdk 版本?难道有什么特别的说法?

  •  
  •   HeyHudy · 241 天前 · 922 次点击
    这是一个创建于 241 天前的主题,其中的信息可能已经有所发展或是发生改变。

    每次打开新项目都得在 IDEA 里面一顿配置是真的费劲

    3 条回复    2023-08-18 15:02:17 +08:00
    chendy
        1
    chendy  
       241 天前
    没事,有的项目配了 idea 也识别不出来,还得配
    又不是把 .idea 带进来了,打开项目直接一个 sdk *** not found ,
    不就 project structure -> sdk 选上这么点事,至于发个帖子么
    orangie
        2
    orangie  
       241 天前
    绝大多数时候都是 java8 ,其次就是 11 ,过几年也许会有 17 ,基本遇到的就这两三个选择。没啥配置的必要。
    HeyHudy
        3
    HeyHudy  
    OP
       241 天前
    @chendy 目前接手的 2 个新项目,不仅要去 project structure 改 sdk ,还得给每个 Module 指定 Language level ,完了还要去 Setting - Java Compiler 里面给每个模块指定 Target bytecode version
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   实用小工具   ·   4193 人在线   最高记录 6543   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 35ms · UTC 05:23 · PVG 13:23 · LAX 22:23 · JFK 01:23
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.